Bug 26743 - EDID is not cleared in kernel when monitor disconnected
EDID is not cleared in kernel when monitor disconnected
Status: VERIFIED FIXED
Product: DRI
Classification: Unclassified
Component: DRM/Intel
unspecified
All Linux (All)
: low normal
Assigned To: ykzhao
fangxun
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-24 19:13 UTC by Gordon Jin
Modified: 2010-04-12 01:47 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg log (13.53 KB, text/plain)
2010-02-24 19:56 UTC, fangxun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordon Jin 2010-02-24 19:13:50 UTC
With bug#14611 fixed, now we can start X without monitor connected. But this only works if monitor disconnected before kernel booting. 

If we disconnect monitor after kernel booting, the kernel still stores EDID info, and when start X, it considers EDID available so not accepting default modes, resulting no valid modes available and fail to start.
Comment 1 fangxun 2010-02-24 19:56:51 UTC
Created attachment 33544 [details]
Xorg log
Comment 2 Gordon Jin 2010-03-03 18:38:17 UTC
Setting kernel command line "video=VGA-1:e" works, though "video=VGA-1:1024x768" still doesn't.

With this workaround I don't think this bug impacts users much.
Comment 3 ykzhao 2010-03-15 00:47:07 UTC
Now the corresponding patch is already picked up by Dave.
   >commit 725398322d05486109375fbb85c3404108881e17
Author: Zhao Yakui <yakui.zhao@intel.com>
Date:   Thu Mar 4 08:25:55 2010 +0000

    drm: remove the EDID blob stored in the EDID property when it is disconnected

So this bug will be marked as resolved.

Thanks.
Comment 4 fangxun 2010-04-12 01:47:24 UTC
It works ok. Verified.